View Issue Details

IDProjectCategoryView StatusLast Update
08757Development [All Projects] Expression Managerpublic2015-08-21 15:51
Reportermfaber Assigned Tomfaber  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05 
Target Version2.06Fixed in Version2.06 
Summary08757: Support sub-question level relevance
Description

Group and question level relevance is suppored in LS. Filter and exclude attributes are already helpful to determine visibility of certain subquestions.

I'd like to add the possibility to enter relevance equations at SQ level.

Additional Information

-Column in SQ-editor and save to DB (subquestion.js, subquestion_view, database.php, questions.php)

  • adjust createfieldmap() (common_helper.php)

  • adjust _CreateSubQLevelRelevance...(), _validatequestion() and others (em_manager_helper.php)

TagsNo tags attached.

Relationships

related to 07595 closedmfaber Feature requests Hiding subquestions 
has duplicate 07436 closedmfaber Feature requests Conditions for subquestions 

Activities

mfaber

mfaber

2014-03-10 22:58

reporter   ~29173

PR @ https://github.com/LimeSurvey/LimeSurvey/pull/177

mfaber

mfaber

2014-04-22 20:46

reporter   ~29848

New PR for 2.06 @ https://github.com/LimeSurvey/LimeSurvey/pull/194

Related Changesets

LimeSurvey: 2.06 8032837e

2014-10-14 12:50:46

c_schmitz

Details Diff
Merge pull request #194 from mfaber/subqrelPR206

New feature 08757: Individual subquestion relevance
Affected Issues
08757
mod - application/controllers/admin/database.php Diff File
mod - application/controllers/admin/questions.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/views/admin/survey/Question/subQuestion_view.php Diff File
add - docs/demosurveys/ls206_em_subquestion_relevance.lss Diff File
mod - scripts/admin/subquestions.js Diff File
mod - styles/blobblueish/adminstyle.css Diff File
add - styles/blobblueish/images/subq_relevance_dis.png Diff File
add - styles/blobblueish/images/subq_relevance_en.png Diff File
mod - styles/darkblue/adminstyle.css Diff File
add - styles/darkblue/images/subq_relevance_dis.png Diff File
add - styles/darkblue/images/subq_relevance_en.png Diff File
mod - styles/gringegreen/adminstyle.css Diff File
add - styles/gringegreen/images/subq_relevance_dis.png Diff File
add - styles/gringegreen/images/subq_relevance_en.png Diff File

Issue History

Date Modified Username Field Change
2014-02-24 01:05 mfaber New Issue
2014-02-24 01:06 mfaber Assigned To => mfaber
2014-02-24 01:06 mfaber Status new => assigned
2014-02-26 07:27 mfaber Relationship added related to 07436
2014-02-26 07:28 mfaber Relationship added related to 07595
2014-03-10 22:58 mfaber Note Added: 29173
2014-04-22 16:13 mfaber Target Version => 2.06
2014-04-22 20:46 mfaber Note Added: 29848
2014-10-14 22:55 mfaber Changeset attached => LimeSurvey 2.06 8032837e
2014-10-14 22:57 mfaber Status assigned => resolved
2014-10-14 22:57 mfaber Resolution open => fixed
2014-10-14 22:57 mfaber Fixed in Version => 2.06
2014-10-22 18:43 mfaber Relationship deleted related to 07436
2014-10-22 18:43 mfaber Relationship added has duplicate 07436
2015-08-21 15:51 c_schmitz Status resolved => closed